Bumblebee status: Error (3.2.1): [XORG] (EE) Server terminated successfully (0). Closing log file.

Bug #1230008 reported by Sergio Benjamim on 2013-09-25
86
This bug affects 18 people
Affects Status Importance Assigned to Milestone
bumblebee (Ubuntu)
Undecided
Bruno Pagani

Bug Description

I have installed nvidia-319-updates (319.49) and bumblebee-nvidia, I configured some files too, reboot and try "optirun" and "primusrun" with some apps, and it's OK, it seems that the system uses well nvidia graphic card. But there is a little problem: It seems that the screen flashes for a moment, before launching the application. Is this normal?

With the command "optirun --status", I got this:

Bumblebee status: Error (3.2.1): [XORG] (EE) Server terminated successfully (0). Closing log file.

This problem has been discussed on the following pages:

https://bbs.archlinux.org/viewtopic.php?pid=1311699
https://devtalk.nvidia.com/default/topic/567297/linux/linux-3-10-driver-crash/

Are these things related?

---

Ubuntu Saucy Salamander (development branch) \n \l

Linux sergio-X751JB 3.11.0-8-generic #15-Ubuntu SMP Fri Sep 20 04:11:26 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

baseboard-manufacturer: ASUSTeK COMPUTER INC.
baseboard-product-name: X750JB
baseboard-version : 1.0
system-manufacturer : ASUSTeK COMPUTER INC.
system-product-name : X750JB
system-version : 1.0
bios-vendor : American Megatrends Inc.
bios-version : X750JB.207
bios-release-date : 05/24/2013

optirun (Bumblebee) 3.2.1

00:02.0 VGA compatible controller [0300]: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller [8086:0416] (rev 06) (prog-if 00 [VGA controller])
01:00.0 3D controller [0302]: NVIDIA Corporation GK208M [GeForce GT 740M] [10de:1292] (rev ff) (prog-if ff)

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: bumblebee 3.2.1-3
ProcVersionSignature: Ubuntu 3.11.0-8.15-generic 3.11.1
Uname: Linux 3.11.0-8-generic x86_64
ApportVersion: 2.12.4-0ubuntu1
Architecture: amd64
Date: Wed Sep 25 01:53:15 2013
InstallationDate: Installed on 2013-09-20 (4 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130920)
MarkForUpload: True
SourcePackage: bumblebee
UpgradeStatus: No upgrade log present (probably fresh install)
mtime.conffile..etc.bumblebee.bumblebee.conf: 2013-09-24T20:40:15.220365
mtime.conffile..etc.bumblebee.xorg.conf.nouveau: 2013-09-24T20:29:02.624370
mtime.conffile..etc.bumblebee.xorg.conf.nvidia: 2013-09-24T20:29:14.812370

Sergio Benjamim (sergio-br2) wrote :
Peter Wu (lekensteyn) wrote :

I guess it is a conflict with PRIME functionality, this is from the Xorg.0.log:

[ 18.478] (--) PCI: (0:1:0:0) 10de:1292:1043:122d rev 161, Mem @ 0xf6000000/16777216, 0xe0000000/268435456, 0xf0000000/33554432, I/O @ 0x0000e000/128, BIOS @ 0x????????/524288

You can try creating /etc/X11/xorg.conf.d/prevent-auto-gpu.conf, and then reboot/re-login. Check your Xorg.0.log and that line should be gone.

Section "ServerLayout"
    Identifier "DefaultLayout"
    Option "AutoAddGPU" "false"
EndSection

Sergio Benjamim (sergio-br2) wrote :

I turn on my lapto today, and try to utilize "optirun glxgears", before creates /etc/X11/xorg.conf.d/prevent-auto-gpu.conf file, and I realized that nvidia card was not working, there was not flash, and I got only 60 FPS, same of Intel card. I don't know if this is a problem with Xorg update yesterday (xserver-xorg-core:amd64 2:1.14.2.901-2ubuntu5 and xserver-common). Then I created the file with your content, reboot and there is not progress, and the same error:

Bumblebee status: Error (3.2.1): [XORG] (EE) Server terminated successfully (0). Closing log file.

Xorg.0.log:

[ 17.361] (--) PCI: (0:1:0:0) 10de:1292:1043:122d rev 161, Mem @ 0xf6000000/16777216, 0xe0000000/268435456, 0xf0000000/33554432, I/O @ 0x0000e000/128, BIOS @ 0x????????/524288

Sergio Benjamim (sergio-br2) wrote :

With:

vblank_mode=0 primusrun glxgears

FPS goes to 1530, and with glxspheres goes to 120 FPS. It seems that nvidia card is working.

The screen doesn't flash anymore, with or without /etc/X11/xorg.conf.d/prevent-auto-gpu.conf (I tested with this config file and after I delete and reboot system). Maybe an update fixed this?

But the message error from "optimus --status" continues.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in bumblebee (Ubuntu):
status: New → Confirmed
neon1ks (neon1ks) wrote :

ubuntu 13.10, 32 bit,
nvidia-319-updates (319.60) and bumblebee (3.2.1-3)

before using optirun,
"optirun --status":
Bumblebee status: Ready (3.2.1). X inactive. Discrete video card is off.

After using optirun,
"optirun --status":
Bumblebee status: Error (3.2.1): [XORG] (EE) Server terminated successfully (0). Closing log file.

Vladimir (aerweb) wrote :

I have this problem too.
ubuntu 13.10, 64 bit,
nvidia-319-updates (319.60) and bumblebee (3.2.1-3)

before using optirun,
"optirun --status":
Bumblebee status: Ready (3.2.1). X is PID 6823, 1 applications using bumblebeed.

After using optirun,
"optirun --status":
Bumblebee status: Error (3.2.1): [XORG] (EE) Server terminated successfully (0). Closing log file.

neon1ks (neon1ks) wrote :

bumblebee bugreport

kles4enko (kles4enko-andrey) wrote :

The same problem.

Changed in bumblebee (Ubuntu):
assignee: nobody → Сергей Сницкий (serega1612)
Sergio Benjamim (sergio-br2) wrote :

It's funny, but i don't get anymore this flash screen, been a while. I don't know if it is related to some update. But there are people that still have this problem yet.

Dmitry Tuykov (d-touikov) wrote :

I can't say anything about "flashes screen".
But:

ubuntu 14.04, 64 bit,
nvidia (331.38) and bumblebee (3.2.1-90)

before using optirun,
"optirun --status":
Bumblebee status: Ready (3.2.1). X inactive. Discrete video card is off.

After using optirun,
"optirun --status":
Bumblebee status: Error (3.2.1): [XORG] (EE) Server terminated successfully (0). Closing log file.

Problem can be solved by 'sudo service bumblebeed restart'.

vaseavip (gitca) wrote :

I see this same problem
"ubuntu 14.04, 64 bit,
nvidia (331.38) and bumblebee (3.2.1-90)

before using optirun,
"optirun --status":
Bumblebee status: Ready (3.2.1). X inactive. Discrete video card is off.

After using optirun,
"optirun --status":
Bumblebee status: Error (3.2.1): [XORG] (EE) Server terminated successfully (0). Closing log file.

Problem can be solved by 'sudo service bumblebeed restart'."

This is a harmless warning, anyway it has been fixed by this commit which will be released soon: https://github.com/Bumblebee-Project/Bumblebee/commit/25387e92822fb1a56fa43f1f9f636b987018d068

Changed in bumblebee (Ubuntu):
assignee: Сергей Сницкий (serega1612) → nobody
assignee: nobody → Bruno Pagani (b-pagani)
status: Confirmed → Fix Committed
summary: - Bumblebee "optirun" or "primusrun" flashes screen for a moment before
- launching apps
+ Error (3.2.1): [XORG] (EE) Server terminated successfully (0). Closing
+ log file.
summary: - Error (3.2.1): [XORG] (EE) Server terminated successfully (0). Closing
- log file.
+ Bumblebee status: Error (3.2.1): [XORG] (EE) Server terminated
+ successfully (0). Closing log file.
Changed in bumblebee (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers